-- "Frozen Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Other original textures used copyright (C) Sirius-sdz.deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.1 created by Daniv
-- Last updated 6th October 2014



import "mod_assets/scripts/frozen_temple_materials.lua"
import "mod_assets/scripts/frozen_temple_objects.lua"



defineWallSet{
   name = "frozen temple",
   randomFloorFacing = true,
   floors = {
      "mod_assets/models/frozen_temple/frozen_temple_floor_01.fbx", 1,
      "mod_assets/models/frozen_temple/frozen_temple_floor_02.fbx", 4,
      },
   walls = {
      "mod_assets/models/frozen_temple/frozen_temple_wall.fbx", 30,
      "mod_assets/models/frozen_temple/frozen_temple_wall_drainage.fbx", 1,
      },
   pillars = {
      "mod_assets/models/frozen_temple/frozen_temple_pillar.fbx", 1,
      },
   ceilings = {
      "mod_assets/models/frozen_temple/frozen_temple_ceiling.fbx", 1,
      },
   ceilingShafts = {
      "mod_assets/models/frozen_temple/frozen_temple_ceiling_pit.fbx", 1,
      },
   floorDecorations = {
      },
   wallDecorations = {
      "assets/models/env/metal_hooks_wall.fbx", 1,
      "assets/models/env/metal_hooks_chain_wall.fbx", 1,
      },
   pillarDecorations = {
      "assets/models/env/metal_hook_pillar.fbx", 1,
      "assets/models/env/metal_hook_chain_pillar.fbx", 1,
      "assets/models/env/metal_ring_pillar.fbx", 1,
      },
   }
