-- "Frozen Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Other original textures used copyright (C) Sirius-sdz.deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.1 created by Daniv
-- Last updated 6th October 2014



defineMaterial{
   name = "frozen_temple_altar",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_altar_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_altar_spec.tga",
   normalMap = "assets/textures/env/dungeon_altar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_arch",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_arch_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_arch_spec.tga",
   normalMap = "assets/textures/env/temple_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_bench_wood",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_bench_wood_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_bench_wood_spec.tga",
   normalMap = "assets/textures/props/wood_barrel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_ceiling",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_floor_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_daemon_head",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_daemon_head_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_daemon_head_spec.tga",
   normalMap = "assets/textures/env/daemon_head_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_dragon_statue",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_dragon_statue_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_dragon_statue_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_dragon_statue_base",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_dragon_statue_base_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_dragon_statue_base_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_base_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "frozen_temple_easy_button",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_easy_button_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_easy_button_spec.tga",
   normalMap = "assets/textures/env/temple_easy_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_floor",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_floor_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_floor_corpse",
   diffuseMap = "assets/textures/props/temple_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/temple_floor_corpse_spec.tga",
   normalMap = "assets/textures/props/temple_floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_gladiator_statue",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_gladiator_statue_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_gladiator_statue_spec.tga",
   normalMap = "assets/textures/props/gladiator_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_goromorg_statue",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_goromorg_statue_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_goromorg_statue_spec.tga",
   normalMap = "assets/textures/env/goromorg_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_goromorg_statue_base",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_marble_generic_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_hard_button",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_hard_button_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_hard_button_spec.tga",
   normalMap = "assets/textures/env/temple_hard_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_iron_door",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_iron_door_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_iron_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_iron_portcullis",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_portcullis_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_portcullis_spec.tga",
   normalMap = "assets/textures/env/dungeon_porticullis_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }


defineMaterial{
   name = "frozen_temple_medium_button",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_medium_button_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_medium_button_spec.tga",
   normalMap = "assets/textures/env/temple_medium_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_metal_door",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_metal_door_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_metal_door_spec.tga",
   normalMap = "assets/textures/env/metal_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_ornament_door",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_ornament_door_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_ornament_door_spec.tga",
   normalMap = "assets/textures/env/ornament_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_pillar",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_pillar_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_pillar_spec.tga",
   normalMap = "assets/textures/env/temple_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_pressure_plate",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_pressureplate_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_pressureplate_spec.tga",
   normalMap = "assets/textures/env/temple_pressureplate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_rock_wall_tile_light",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_rockwall_tile_light_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_rockwall_tile_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_secret_door_text",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_secret_door_text_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_secret_door_text_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }
defineMaterial{
   name = "frozen_temple_secret_door_text_long",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_secret_door_text_long_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_secret_door_text_long_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_skeleton_warrior",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_skeleton_warrior_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_skeleton_warrior_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 50,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_spell_receptor",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_spell_receptor_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_spell_receptor_spec.tga",
   normalMap = "assets/textures/env/dungeon_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_stairs",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_stairs_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_wall",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_wall_dirt",
   diffuseMap = "assets/textures/props/temple_wall_dirt_dif.tga",
   specularMap = "assets/textures/props/temple_wall_dirt_spec.tga",
   normalMap = "assets/textures/props/temple_wall_dirt_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_wall_glass",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_glass_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_glass_spec.tga",
   normalMap = "assets/textures/env/temple_wall_glass_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_wall_glass_2",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_glass_2_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_glass_2_spec.tga",
   normalMap = "assets/textures/env/temple_wall_glass_2_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }


defineMaterial{
   name = "frozen_temple_wall_mosaic",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_mosaic_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_mosaic_spec.tga",
   normalMap = "assets/textures/env/temple_wall_mosaic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "frozen_temple_wall_walltext",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_text_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wall_text_spec.tga",
   normalMap = "assets/textures/env/temple_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "frozen_temple_wooden_door",
   diffuseMap = "mod_assets/textures/frozen_temple/frozen_temple_wooden_door_dif.tga",
   specularMap = "mod_assets/textures/frozen_temple/frozen_temple_wooden_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }
